# $Id: armagetron.spec,v 1.3 2003/02/16 19:04:19 dude Exp $

%define	desktop_vendor	freshrpms

Summary: A multiplayer OpenGL 'Tron' racing game clone.
Name: armagetron
Version: 0.2.0.pre_020624
Release: fr3
License: GPL
Group: Amusements/Games  
Source0: http://prdownloads.sourceforge.net/armagetron/armagetron_src_%{version}.tar.bz2
Source1: http://armagetron.sourceforge.net/addons/moviepack.zip
Source2: http://armagetron.sourceforge.net/addons/moviesounds_mq.zip
Source3: settings.cfg
URL: http://armagetron.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-root
Requires: SDL_image >= 1.2.0 esound
BuildRequires: XFree86-devel, SDL_image-devel, SDL-devel, esound-devel
BuildRequires: /usr/bin/find, unzip, ImageMagick

%description
There is not much to be said about the game: you ride a lightcycle,
a kind of motorbike that can't be stoppen and leaves a wall where
it goes. You can make turns of 90 degrees and can accelerate by 
driving close to walls. Make your enemies hit a wall while avoiding
the same fate.


%package moviepack
Summary: Extra graphics and sounds to give armagetron the real 'Tron' look.
Group: Amusements/Games
Requires: %{name}

%description moviepack
This package includes all files needed by armagetron to have the "real" look
from the original Tron movie. This includes neat colorful graphics and a few
sounds.
In this package's documentation directory, you will also find a new config
file that you can use in /usr/games/armagetron to have the game be a bit
more realistic (read "fast!" ;-)).


%prep
%setup -q -n armagetron_src_%{version}

%build
%configure --prefix=/usr/games/armagetron
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
install -D src/tron/armagetron %{buildroot}/usr/games/armagetron/armagetron
strip %{buildroot}/usr/games/armagetron/armagetron
cp -a arenas models sound textures *.cfg %{buildroot}/usr/games/armagetron/
mkdir -p %{buildroot}/usr/games/armagetron/language
cp -a language/*.txt %{buildroot}/usr/games/armagetron/language/
unzip -d %{buildroot}/usr/games/armagetron/ %{SOURCE1}
unzip -d %{buildroot}/usr/games/armagetron/ %{SOURCE2}

# Prepare the high-score files
pushd %{buildroot}/usr/games/armagetron/
	touch highscores.txt ladder.txt won_matches.txt won_rounds.txt
popd

# Yeah, add an icon for the menu entry!
convert tron.ico armagetron.png
install -D -m 644 armagetron.png %{buildroot}%{_datadir}/pixmaps/armagetron.png

# Clean up docs
find doc -name "Makefile*" -exec rm -f {} \;
find doc -name ".cvs*" -exec rm -f {} \;

# Put the realistic config where we can get it
cp -a %{SOURCE3} settings.cfg.realistic

mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/armagetron << 'EOF'
#!/bin/sh -e
logdir=$HOME/.armagetron
[ -d $logdir ] || mkdir $logdir
cd /usr/games/armagetron
./armagetron --logdir $logdir "$@"
EOF

cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Armagetron
Comment=A multiplayer OpenGL 'Tron' racing game clone
Exec=armagetron
Icon=armagetron.png
Terminal=false
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Red-Hat-Extra                                  \
  --add-category Application                                      \
  --add-category Games                                            \
  %{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING.txt README doc
%attr(755, root, root) %{_bindir}/armagetron
%dir /usr/games/armagetron
%config(noreplace) /usr/games/armagetron/*.cfg
%attr(2755, root, games) /usr/games/armagetron/armagetron
%config(noreplace) %attr(664, root, games) /usr/games/armagetron/*.txt
/usr/games/armagetron/arenas
/usr/games/armagetron/language
/usr/games/armagetron/models
/usr/games/armagetron/sound
/usr/games/armagetron/textures
%{_datadir}/pixmaps/armagetron.png
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop

%files moviepack
%defattr(-, root, root)
%doc settings.cfg.realistic
%dir %attr(755, root, root) /usr/games/armagetron/moviepack
%attr(644, root, root) /usr/games/armagetron/moviepack/*
%dir %attr(755, root, root) /usr/games/armagetron/moviesounds
%attr(644, root, root) /usr/games/armagetron/moviesounds/*

%changelog
* Sat Feb 15 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Applied Ben Liblit's changes at last!
- Install language files.
- Change wrapper to save settings to ~/.armagetron/

* Sun Sep 29 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- New menu entry.

* Tue Jul  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.0.pre_020624.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Fri Apr 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt without the NVIDIA libGLcore.so.1 dependency (doh!).

* Tue Nov 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added a simple shell script to have the menu entry work with KDE.
- Added a separate package for the "moviepack"... that thing is cool :-)
- Changed the binary to sgid "games" so that high scores are saved.
- Added an icon for the menu entry.

* Mon Nov 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.1.4.9.
- Spec file cleanup.

* Thu Jan  4 2001 Tim Powers <timp@redhat.com>
- defattr was in wrong place in files list, leaving files owned by the
  build system, fixed

* Tue Nov 28 2000 Karsten Hopp <karsten@redhat.de>
- initial RPM

